package com.fuzamei.constant;
/**
 * 
 * @author ylx
 * @describe: 操作类型id号
 */
public class OperationTypeId {
	private OperationTypeId() {
		throw new AssertionError("禁止实例化");
	}
	public static final Integer BUSINESS_APPLY =1001;								//业务申报
	public static final Integer BUSINESS_FIRST_TRIAL_AGREED =1002;					//业务初审通过
	public static final Integer BUSINESS_REEXAMINE_REJECTED =1003;					//业务复审拒绝
	public static final Integer CONTRACT_UPLOAD =1004;								//合同上传
	public static final Integer CONTRACT_CONFIRM =1005;								//合同确认
	public static final Integer CAPITAL_TRANSFER_FIRST_TRIAL =1006;					//资金划转初审
	public static final Integer CAPITAL_TRANSFER_REEXAMINE =1007;					//资金划转复审
	public static final Integer CAPITAL_TRANSFER_REEXAMINE_REJECTED =1008;			//资金划转复审拒绝
	public static final Integer CAPITAL_TRANSFER_FINAL_JUDGE =1009;					//资金划转终审
	public static final Integer UPLOAD_VALUATION_CHECK =1010;						//上传估值核算表
	public static final Integer UPLOAD_PROJECT_FILE =1011;							//上传项目文档
	public static final Integer BUSINESS_FIRST_TRIAL_REJECTED =1012;				//业务初审拒绝
	public static final Integer BUSINESS_REEXAMINE_AGREED =1013;					//业务复审通过
	
	public static final Integer CAPITAL_TRANSFER_REEXAMINE_REJECTED_NO =1014;       //资金划转终身拒绝
	public static final Integer INSTRUCT_BUSINESS_ACCOUNTING =1015;      			//待指令业务岗审核
	public static final Integer INSTRUCT_BUSINESS_ACCOUNTING_NO =1016;    			//指令业务岗审核不通过
	public static final Integer CHECK_BUSINESS_ACCOUNTING =1017;        			//待核算业务岗岗审核
	public static final Integer INSTRUCT_BUSINESS_ACCOUNTING_YES=1029;         //指令业务岗通过
	public static final Integer CHECK_BUSINESS_ACCOUNTING_PASS =1024;               //核算业务岗通过
	public static final Integer CHECK_BUSINESS_ACCOUNTING_REJECT =1025;             //核算业务岗拒绝
	public static final Integer CHECK_BUSINESS_ACCOUNTING_MAIN_REJECT =1026;        //核算主管岗拒绝
	public static final Integer ADMIN_LAUNCHING=1027;                               //管理人   发起
	public static final Integer CHECK_BUSINESS_ACCOUNTING_REJECT_MAIN =1028;        //指令业务岗拒绝  
	public static final Integer CHECK_BUSINESS_ACCOUNTING_NO =1018;      			//核算业务岗审核不通过
	public static final Integer CHARGE_BUSINESS_ACCOUNTING =1019;        			//待核算主管岗审核
	public static final Integer CHARGE_BUSINESS_ACCOUNTING_YES =1020;     			//核算主管岗通过
	public static final Integer CHARGE_BUSINESS_ACCOUNTING_NO =1021;      			//核算主管岗审核不通过
	public static final Integer CHECK_TRUE_OR_FALSE =1022;      					//真伪查询
	public static final Integer UPLOAD_PROMPT_LETTER =1023;      					//上传提示函
	
}
