package com.fuzamei.constant;

/**
 * 
 * @author ylx
 * @DESCRIBE: 角色名称常量表
 * @Date:2017-12-28 10:08 am
 */
public class Role {
	private Role() {
		throw new AssertionError("禁止实例化");
	}
	//TRAN is abbreviation of transactor
	public static final String TRAN_BRANCH_BANK = "经办支行";
	//SEC is abbreviation of secondary
	public static final String SEC_BRANCH_BANK = "二级分行";
	//PBB is abbreviation of provincial branch bank
	public static final String BUSINESS_DEP_OF_PBB = "省分行业务部门";
	public static final String ADMIN = "管理人";
	public static final String BUSINESS_CHIEF_DEP_OF_PBB = "省分行业务主管部门";
	public static final String LAW_DEP_OF_PBB = "省分行法律部";
	//POS is abbreviation of position
	//PBBTBC is abbreviation of provincial branch bank trusteeship branch center
	public static final String ACCOUNT_MAINTAIN_POS_OF_PBBTBC = "省分行托管分中心账户维护岗";
	public static final String ACCOUNT_MANAGE_POS_OF_PBBTBC = "省分行托管分中心账户管理岗";
	public static final String BUSINESS_TRAN_POS_OF_PBBTBC = "省分行托管中心指令业务岗";
	public static final String BUSINESS_CHECK_POS_OF_PBBTBC = "省分行托管分中心核算业务岗";
	public static final String BUSINESS_CHIEF_POS_OF_PBBTBC = "省分行托管中心核算主管岗";
	//TBC is abbreviation of trusteeship branch center
	public static final String ACCOUNTING_POS_OF_TBC = "托管分中心核算岗";
	public static final String ARCHIVE_KEEPING_POS_OF_PBBTBC = "省分行托管分中心档案保管岗";
	public static final String SUPERVISION_AGENCY = "监管机构";
	public static final String OUTERS_OF_BANK = "银行内外部人员";
	public static final String VENTURE_MANAGEMENT_POS = "风管岗";
	public static final String OTHER_POS = "其余岗";
	public static final String INNERS_OF_BANK = "银行内部人员";
	public static final String AUDITOR = "总审计";
}
