package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.CapitalTransfer;
import com.fuzamei.entity.CapitalTransferCheck;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.CapitalTransferMapper;

@Repository
public class CapitalTransferDao {
	@Autowired
    private CapitalTransferMapper  capitalTransferMapper;
	
	
	public List<CapitalTransfer> selectCapitalTransferTable(Map<String, Object> map){//查询资金划转列表    指令业务岗和管理人能查看列表
		return capitalTransferMapper.selectCapitalTransferTable(map);
	}
	public List<CapitalTransfer> selectCapitalTransferTable2(Map<String, Object> map){//查询资金划转列表       指令业务岗审核通过后  核算业务岗才能看到列表里之前的审核信息
		return capitalTransferMapper.selectCapitalTransferTable2(map);
	}
	public List<CapitalTransfer> selectCapitalTransferTable3(Map<String, Object> map){//查询资金划转列表      指令业务岗和核算业务岗审核同过后 核算主管岗才能看到之前2级的审核信息
		return capitalTransferMapper.selectCapitalTransferTable3(map);
	}
	
	public int  selectCapitalTransferPage(Map<String, Object> map) {//查询资金划转表  总页数    指令业务岗和管理人能查看列表
		return  capitalTransferMapper.selectCapitalTransferPage(map) ;
	}
	public int  selectCapitalTransferPage2(Map<String, Object> map) {//查询资金划转表  总页数    指令业务岗审核通过后  核算业务岗才能看到列表里之前的审核信息
		return  capitalTransferMapper.selectCapitalTransferPage2(map) ;
	}
	public int  selectCapitalTransferPage3(Map<String, Object> map) {//查询资金划转表  总页数   指令业务岗和核算业务岗审核同过后 核算主管岗才能看到之前2级的审核信息
		return  capitalTransferMapper.selectCapitalTransferPage3(map) ;
	}
	
	
	public  List<CapitalTransfer> selectChaKanZiJinHuaZhuan(Map<String, Object> map){//资金划转    查看详情
		return capitalTransferMapper.selectChaKanZiJinHuaZhuan(map);
	}
	public  List<CapitalTransferCheck> selectCapitalTransferRecord(Map<String, Object> map){//资金划转 里审核记录   查看详情
		return capitalTransferMapper.selectCapitalTransferRecord(map);
	}
	
	public void insertCapitalTransfer(Map<String, Object> map) {//管理人  发起  划款资金
		capitalTransferMapper.insertCapitalTransfer(map);
	}
	
	public void insertCheckTransfer(Map<String, Object> map) {//将划转资金审核的意见插入到（划转资金审核表里）
		capitalTransferMapper.insertCheckTransfer(map);
	}
	public void updatecapitaltransferStatus(Map<String, Object> map) {//将划转审核结果意见在插入划转资金表的同时，也将审核结果更新到划转资金表中去，根据基金id 在修改指定的业务 
		capitalTransferMapper.updateCapitaltransferStatus(map);
	}
	public List<CapitalTransferCheck> queryCapitalTransferCheckInformation(Map<String, Object> map){// 根据资金划转id查询资金审核状态id值 
		return capitalTransferMapper.queryCapitalTransferCheckInformation(map);
		
	}
	public Integer getStatusIdByCapitalId(Integer fund_id) {
		return capitalTransferMapper.getStatusIdByCapitalId(fund_id);
		
	}
	public void updateCapitaltransferStatus(Map<String, Object> map) {
		capitalTransferMapper.updateCapitaltransferStatus(map);
	}
	public void insertOperationHistory(Map<String, Object> map) {//往操作记录表插入
		capitalTransferMapper.insertOperationHistory(map);
	}	
	 public void insertAttachmentInfo(Map<String, Object> map) {//往附件表插入
		 capitalTransferMapper.insertAttachmentInfo(map);
	 }	
	
}
