package com.fuzamei.mapperInterface;

import java.util.List;
import java.util.Map;

import com.fuzamei.entity.BusinessCheck;
import com.fuzamei.entity.BusinessDeclare;

public interface BusinessDeclareMapper {

	void insertBusinessDeclareInformationToDaoByBranchBank(Map<String, Object> map);

	void insertAttachmentInformationToDaoByBranchBank(Map<String, Object> map);

	int findAllInfromations(Map<String, Object> map);

	List<BusinessDeclare> queryBusinessDeclareInformation(Map<String, Object> map);

	List<BusinessCheck> queryBusinessCheckInformation(Map<String, Object> map);

	void businessDeclareCheckedBy(Map<String, Object> map);

	void updateBusinessDeclareStatus(Map<String, Object> map);

	void insertContractInformationToContractRecord(Map<String, Object> map);

	void insertContractInformationToContractStatusTracking(Map<String, Object> map);

	void insertContractInformationToAttachment(Map<String, Object> map);

	void insertOperationHistoryInformationToDaoByBranchBank(Map<String, Object> map);

	int queryIfHasTheSameBusinessId(Integer businessId);

	List<BusinessDeclare> queryBusinessDeclareInformationByPBB(Map<String, Object> map);

	int findAllInfromationsByPBB(Map<String, Object> map);

	Integer getStatusIdByBusinessId(Integer businessId);

}
