package com.fuzamei.service;

import java.util.LinkedHashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.fuzamei.constant.OperationTypeId;
import com.fuzamei.dao.TrueFalseSelectDao;
import com.fuzamei.entity.UserDetail;

@Service
public class TrueFalseSelectService {

	   @Autowired
	   private TrueFalseSelectDao trueFalseSelectDao;
	   
	   /**
		 * 真伪查询
		 * @param map
		 */
		@Transactional(rollbackFor=Exception.class)
		public boolean insertTrueFalseSelect(Map<String, Object> map) {
			long currentTime = System.currentTimeMillis();
			UserDetail userDetail=(UserDetail) map.get("userDetail");
			
			
			
			
			
			/*boolean flag=false;
			 * 根据controller层传过来的hash值去查询该hash值是否有效=============================================>>待定TODO
			 * 
			 * */
			boolean flag=false;
			
			
			
			
			
			//还要将真伪查询上传的这个操作信息插入到操作记录表中
			Map<String, Object> mapToOperationHistory = new LinkedHashMap<String,Object>();
			mapToOperationHistory.put("operatorTypeId", OperationTypeId.CHECK_TRUE_OR_FALSE);	//id写活♥
			mapToOperationHistory.put("operatorAccount", userDetail.getAccount());				//操作账号写活♥
			mapToOperationHistory.put("operatorRole", userDetail.getRole_name().get(0));		//操作角色暂定为一个账号只对应一个角色========>>待定TODO
			mapToOperationHistory.put("operatorPerson", userDetail.getPerson_name());			//操作人死活
			mapToOperationHistory.put("operatorTime", currentTime); //操作时间为当前操作时间
			mapToOperationHistory.put("hash", "to be calculated");	                //写的时死值
			trueFalseSelectDao.insertOperationHistory(mapToOperationHistory);       //操作记录信息插入到操作记录表中     
		
			return flag;
		}
	
	
}
