package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.PromptLetter;
import com.fuzamei.mapperInterface.PromptLetterMapper;

@Repository
public class PromptLetterDao {
	@Autowired
	private PromptLetterMapper  promptLetterMapper;
	public List<PromptLetter> queryPromptLetterByAdmin(Map<String, Object> map){//查询风险提示函  管理人接收人
		return promptLetterMapper.queryPromptLetterByAdmin(map);
	}
	public void insertIntoPromptLetterTable(Map<String, Object> map) {//数据往提示函插入
		promptLetterMapper.insertIntoPromptLetterTable(map);
	}
	public void insertIntoAttachmentTable(Map<String, Object> map) {//提示函 在往附件表也插入数据
		promptLetterMapper.insertIntoAttachmentTable(map);
	}
	public void insertOperationHistory(Map<String, Object> map) {//也插入一条数据到操作记录表   
		promptLetterMapper.insertOperationHistory(map);
	}
	public int findAllInformation(Map<String, Object> map) {
		return promptLetterMapper.findAllInformation(map);
	}
	public List<PromptLetter> queryPromptLetterByVenture(Map<String, Object> map) {
		return promptLetterMapper.queryPromptLetterByVenture(map);
	}
	
}
