package com.fuzamei.mapperInterface;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fuzamei.entity.ContractRecord;
import com.fuzamei.entity.ContractStatusTracking;

public interface ContractManagementMapper {

	List<ContractStatusTracking> queryContractStatusTracking(Map<String, Object> map);

	int findAllContractStatusTrackingInformation(Map<String, Object> map);

	List<ContractRecord> queryContractRecord(Map<String, Object> map);

	int findAllContractRecordInformation(Map<String, Object> map);

	ContractStatusTracking getContractStatusTrackingByBusinessId(Integer businessId);

	void insertInformationToAttachment(Map<String, Object> map);

	void insertInformationToOperationHistory(Map<String, Object> map);

	ContractRecord getLatestContractRecordByBusinessId(Integer businessId);

	void insertInformationToContractRecord(Map<String, Object> map);

	void updateContractStatusTracking(Map<String, Object> map);

	ContractRecord getCurrentContractRecordByBusinessId(@Param("businessId") Integer businessId,@Param("version") Integer version);

	void updateContractRecord(Map<String, Object> map);

	void updateOtherContractRecord(Map<String, Object> map);

	void updateContractStatusTrackingStatusAndContractId(Map<String, Object> map);
	
}
